/*
Пример использования
Получение списка аудитов пользователя
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_user_get_audit" "audits" {
  #имя пользователя
  #опциональный параметр
  #если не указано, выводит данные по текущему пользователю
  #тип - строка
  #username = "test_user"

  #фильтр по вызову api
  #опциональный параметр
  #тип - строка
  #call = "restapi/user/get"

  #фильтр по статус коду ответа
  #опциональный параметр
  #тип - целое число
  #status_code = 200

  #фильтр по временной метке, после которой были сделаны запросы
  #опциональный параметр
  #тип - целое число
  #timestamp_at = 123456

  #фильтр по временной метке, до которой были сделаны запросы
  #опциональный параметр
  #тип - целое число
  #timestamp_to = 123456

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3
  
}

output "test" {
  value = data.decort_cb_user_get_audit.audits
}
